## org.hibernate.event.def
Class DefaultInitializeCollectionEventListener

    java.lang.Object
      org.hibernate.event.def.DefaultInitializeCollectionEventListener

All Implemented Interfaces:
  Serializable, InitializeCollectionEventListener

    public class DefaultInitializeCollectionEventListener

extends Object
implements InitializeCollectionEventListener

Author:
  Gavin King
See Also:
  Serialized Form

Constructor Summary
`DefaultInitializeCollectionEventListener()`

Method Summary
`void` `onInitializeCollection(InitializeCollectionEvent event)` called by a collection that wants to initialize itself

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DefaultInitializeCollectionEventListener

    public DefaultInitializeCollectionEventListener()

Method Detail

### onInitializeCollection

    public void onInitializeCollection(InitializeCollectionEvent event)
                                throws HibernateException

  called by a collection that wants to initialize itself

  Specified by:
    `onInitializeCollection` in interface `InitializeCollectionEventListener`
  Throws:
    `HibernateException`

Copyright © 2001-2010 Red Hat, Inc. All Rights Reserved.